# Uses of Class
java.awt.PopupMenu

Packages that use PopupMenu
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PopupMenu in java.awt

Methods in java.awt that return PopupMenu
Modifier and Type
Method
Description
`PopupMenu`
Taskbar.`getMenu()`
Gets PopupMenu used to add items to this application's icon in system task area.
`PopupMenu`
TrayIcon.`getPopupMenu()`
Returns the popup menu associated with this `TrayIcon`.
Methods in java.awt with parameters of type PopupMenu
Modifier and Type
Method
Description
`void`
Component.`add​(PopupMenu popup)`
Adds the specified popup menu to the component.
`void`
Taskbar.`setMenu​(PopupMenu menu)`
Attaches the contents of the provided PopupMenu to the application icon in the task area.
`void`
TrayIcon.`setPopupMenu​(PopupMenu popup)`
Sets the popup menu for this `TrayIcon`.
Constructors in java.awt with parameters of type PopupMenu
Modifier
Constructor
Description
``
`TrayIcon​(Image image, String tooltip, PopupMenu popup)`
Creates a `TrayIcon` with the specified image, tooltip and popup menu.